Bug 12772 - Clients with SMB3 support can't connect with "server max protocol = SMB2_02"
Clients with SMB3 support can't connect with "server max protocol = SMB2_02"
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.4.10
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-05 17:30 UTC by Stefan Metzmacher
Modified: 2017-07-03 08:52 UTC (History)
4 users (show)

See Also:


Attachments
Possible patch for master (needs regression tests) (2.06 KB, patch)
2017-05-08 09:29 UTC, Stefan Metzmacher
no flags Details
Patch for v4-6-test (2.17 KB, patch)
2017-06-29 13:40 UTC, Stefan Metzmacher
slow: review+
metze: review? (asn)
Details
Patch for v4-5-test (2.17 KB, patch)
2017-06-29 13:41 UTC, Stefan Metzmacher
slow: review+
metze: review? (asn)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2017-05-05 17:30:18 UTC
A client that supports SMB3 will do a signed FSCTL_VALIDATE_NEGOTIATE_INFO
after a tree connect. This FSCTL_VALIDATE_NEGOTIATE_INFO call contains
the client capabilities, client guid, security mode and the array of supported
dialects. But if SMB 2.02 is negotiated the doesn't send these values to the
server in the first connection attempt (when the client starts with a SMB1 Negotiate).

Windows servers that only support SMB2 just return NT_STATUS_FILE_CLOSED
as answer to FSCTL_VALIDATE_NEGOTIATE_INFO.

We should do the same if we just pretend to support SMB 2.02,
as SMB 2.10 always include an SMB2 Negotiate request we can leave it as is.
Comment 1 Stefan Metzmacher 2017-05-08 09:29:58 UTC
Created attachment 13200 [details]
Possible patch for master (needs regression tests)
Comment 2 Stefan Metzmacher 2017-06-29 13:40:49 UTC
Created attachment 13327 [details]
Patch for v4-6-test
Comment 3 Stefan Metzmacher 2017-06-29 13:41:20 UTC
Created attachment 13328 [details]
Patch for v4-5-test
Comment 4 Ralph Böhme 2017-06-29 14:09:17 UTC
Reassigning to Karolin for inclusion in 4.5 and 4.6
Comment 5 Karolin Seeger 2017-06-30 08:17:20 UTC
(In reply to Ralph Böhme from comment #4)
Pushed to autobuild-v4-{6,5}-test.
Comment 6 Karolin Seeger 2017-07-03 08:52:17 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to both branches.
Closing out bug report.

Thanks!